Public Attributes | List of all members
gattc_cb_fun_t Struct Reference
BLE » Generic Attribute Profile (GATT) » Generic Attribute Profile (GATT) Client » Structures

GATTC Event callback Structures. More...

`#include <ble_gattc.h>`

## Public Attributes
void(* | app_gattc_srvc_disc_cb )(uint8_t conn_idx, uint8_t status, const ble_gattc_srvc_disc_t *p_prim_srvc_disc)
| Primary Service Discovery Response callback. More...
void(* | app_gattc_inc_srvc_disc_cb )(uint8_t conn_idx, uint8_t status, const ble_gattc_incl_disc_t *p_inc_srvc_disc)
| Relationship Discovery Response callback. More...
void(* | app_gattc_char_disc_cb )(uint8_t conn_idx, uint8_t status, const ble_gattc_char_disc_t *p_char_disc)
| Characteristic Discovery Response callback. More...
void(* | app_gattc_char_desc_disc_cb )(uint8_t conn_idx, uint8_t status, const ble_gattc_char_desc_disc_t *p_char_desc_disc)
| Descriptor Discovery Response callback. More...
void(* | app_gattc_read_cb )(uint8_t conn_idx, uint8_t status, const ble_gattc_read_rsp_t *p_read_rsp)
| Read Response callback. More...
void(* | app_gattc_write_cb )(uint8_t conn_idx, uint8_t status, uint16_t handle)
| Write complete callback. More...
void(* | app_gattc_ntf_ind_cb )(uint8_t conn_idx, const ble_gattc_ntf_ind_t *p_ntf_ind)
| Handle Value Notification/Indication Event callback. More...
void(* | app_gattc_srvc_browse_cb )(uint8_t conn_idx, uint8_t status, const ble_gattc_browse_srvc_t *p_browse_srvc)
| Service found callback during browsing procedure. More...

## Detailed Description

GATTC Event callback Structures.

Definition at line 292 of file ble_gattc.h.

## Member Data Documentation

## ◆ app_gattc_char_desc_disc_cb

void(* gattc_cb_fun_t::app_gattc_char_desc_disc_cb) (uint8_t conn_idx, uint8_t status, const ble_gattc_char_desc_disc_t *p_char_desc_disc)

Descriptor Discovery Response callback.

Definition at line 297 of file ble_gattc.h.

## ◆ app_gattc_char_disc_cb

void(* gattc_cb_fun_t::app_gattc_char_disc_cb) (uint8_t conn_idx, uint8_t status, const ble_gattc_char_disc_t *p_char_disc)

Characteristic Discovery Response callback.

Definition at line 296 of file ble_gattc.h.

## ◆ app_gattc_inc_srvc_disc_cb

void(* gattc_cb_fun_t::app_gattc_inc_srvc_disc_cb) (uint8_t conn_idx, uint8_t status, const ble_gattc_incl_disc_t *p_inc_srvc_disc)

Relationship Discovery Response callback.

Definition at line 295 of file ble_gattc.h.

## ◆ app_gattc_ntf_ind_cb

void(* gattc_cb_fun_t::app_gattc_ntf_ind_cb) (uint8_t conn_idx, const ble_gattc_ntf_ind_t *p_ntf_ind)

Handle Value Notification/Indication Event callback.

Definition at line 300 of file ble_gattc.h.

## ◆ app_gattc_read_cb

void(* gattc_cb_fun_t::app_gattc_read_cb) (uint8_t conn_idx, uint8_t status, const ble_gattc_read_rsp_t *p_read_rsp)

Read Response callback.

Definition at line 298 of file ble_gattc.h.

## ◆ app_gattc_srvc_browse_cb

void(* gattc_cb_fun_t::app_gattc_srvc_browse_cb) (uint8_t conn_idx, uint8_t status, const ble_gattc_browse_srvc_t *p_browse_srvc)

Service found callback during browsing procedure.

Definition at line 301 of file ble_gattc.h.

## ◆ app_gattc_srvc_disc_cb

void(* gattc_cb_fun_t::app_gattc_srvc_disc_cb) (uint8_t conn_idx, uint8_t status, const ble_gattc_srvc_disc_t *p_prim_srvc_disc)

Primary Service Discovery Response callback.

Definition at line 294 of file ble_gattc.h.

## ◆ app_gattc_write_cb

void(* gattc_cb_fun_t::app_gattc_write_cb) (uint8_t conn_idx, uint8_t status, uint16_t handle)

Write complete callback.

Definition at line 299 of file ble_gattc.h.

The documentation for this struct was generated from the following file:

- ble_gattc.h